using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FaenkoStudents
{
    public partial class Form6 : Form
    {
        public Form6()
        {
            InitializeComponent();
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void fillToolStripButton_Click(object sender, EventArgs e)
        {
            try
            {
                this.отоброжение_студентов_по_ФИОTableAdapter.Fill(this.badretdinovStudentsDataSet.Отоброжение_студентов_по_ФИО, fIOToolStripTextBox.Text);
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void Form6_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "badretdinovStudentsDataSet.Студенты". При необходимости она может быть перемещена или удалена.
            this.студентыTableAdapter.Fill(this.badretdinovStudentsDataSet.Студенты);

        }

        private void fillByToolStripButton_Click(object sender, EventArgs e)
        {
            try
            {
                this.студентыTableAdapter.FillBy(this.badretdinovStudentsDataSet.Студенты);
            }
            catch (System.Exception ex)
            {
                System.Windows.Forms.MessageBox.Show(ex.Message);
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            DataGridViewColumn Col = null;
            switch (listBox1.SelectedIndex)
            {
                case 0:
                    Col = dataGridViewTextBoxColumn2;
                    break;
                case 1:
                    Col = dataGridViewTextBoxColumn3;
                    break;
                case 2:
                    Col = dataGridViewTextBoxColumn4;
                    break;
                case 3:
                    Col = dataGridViewTextBoxColumn5;
                    break;
                case 4:
                    Col = dataGridViewTextBoxColumn6;
                    break;
                case 5:
                    Col = dataGridViewTextBoxColumn7;
                    break;
                case 6:
                    Col = dataGridViewTextBoxColumn8;
                    break;
                case 7:
                    Col = dataGridViewTextBoxColumn9;
                    break;
                case 8:
                    Col = dataGridViewTextBoxColumn10;
                    break;
                case 9:
                    Col = dataGridViewTextBoxColumn11;
                    break;
                case 10:
                    Col = dataGridViewTextBoxColumn12;
                    break;
                    //case 11: Col = dataGridViewTextBoxColumn1;//    break;
            }
            if (radioButton1.Checked)
               отоброжение_студентов_по_ФИОDataGridView.Sort(Col, ListSortDirection.Ascending);
            else
               отоброжение_студентов_по_ФИОDataGridView.Sort(Col, ListSortDirection.Descending);

        }

        private void отоброжение_студентов_по_ФИОDataGridView_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {
            студентыBindingSource.Filter = "ФИО = '" + comboBox1.Text + "'";
        }

        private void button3_Click(object sender, EventArgs e)
        {
            студентыBindingSource.Filter = "";
        }

        private void button5_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < отоброжение_студентов_по_ФИОDataGridView.ColumnCount; i++)
                for (int j = 0; j < отоброжение_студентов_по_ФИОDataGridView.RowCount; j++)
                {
                    отоброжение_студентов_по_ФИОDataGridView[i, j].Style.BackColor = Color.White;
                    отоброжение_студентов_по_ФИОDataGridView[i, j].Style.ForeColor = Color.Black;
                }
            for (int i = 0; i < отоброжение_студентов_по_ФИОDataGridView.ColumnCount; i++)
                for (int j = 0; j < отоброжение_студентов_по_ФИОDataGridView.RowCount; j++)
                    if (отоброжение_студентов_по_ФИОDataGridView[i, j].Value != null)
                        if (отоброжение_студентов_по_ФИОDataGridView[i, j].Value.ToString().IndexOf(textBox1.Text) > -1)
                        {
                            отоброжение_студентов_по_ФИОDataGridView[i, j].Style.BackColor = Color.AliceBlue;
                            отоброжение_студентов_по_ФИОDataGridView[i, j].Style.ForeColor = Color.Blue;
                        }

        }

        private void button4_Click(object sender, EventArgs e)
        {
            this.Close();
            
        }
    }
}
